<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzDateHelp"%>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.docEngine.*" %>
<%@ include file="/sessionInfo.jsp"%>

<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=gbk">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<script language="javascript" src="../../share/js/commonTool.js"></script>
</head>
<%
	//获取模块ID
	String moduleId = SzConvert.toZeroStr(request.getParameter("moduleId"));
	//查询时间段
	String sSearchBegin = SzConvert.strWriteData(request.getParameter("txtSearchBegin"));
	String sSearchEnd = SzConvert.strWriteData(request.getParameter("txtSearchEnd"));
	//获取选择的部门信息
	String BMID = SzConvert.toZeroStr(request.getParameter("BMID"));
	String BMMC = SzConvert.strWriteData(request.getParameter("BMMC"));
	//如果开始时间和结束时间都为空，就默认为当前月
	Date curDate = null;
	if(sSearchBegin.equals("")&&sSearchEnd.equals("")){
		curDate = SzDateHelp.getFirstDateMonth();
		sSearchBegin = SzDateHelp.dateToYMD(SzDateHelp.getFirstDateMonth());
		sSearchEnd = SzDateHelp.dateToYMD(SzDateHelp.getLastDateMonth());
	}
	StringBuffer sCond = new StringBuffer("");
	//获取对象信息moduleId
    DocStat docStat = new DocStat(moduleId);
	WdyqType wdyType = new WdyqType(moduleId);
	WdyqTypeInfo typeInfo = null;
	//获取分类信息
	ArrayList typeList = wdyType.getArrayList("1=1 ");
	typeInfo = new WdyqTypeInfo();
	typeInfo.setFLID(0);
	typeInfo.setFLMC("无分类");
	typeList.add(typeInfo);
	int typeSize = typeList!=null? typeList.size():0;
	
	//========获取部门信息=============
	SzLogin szLogin = new SzLogin();
	SzLoginInfo szLoginInfo = (SzLoginInfo)szLogin.getInfoByCond(" DLID = " + iDLID_SESSION);
	SzDepart depart = new SzDepart();
	StringBuffer departStr = new StringBuffer(" 1=1 ");
	String strManageDepartID = "";
	
	ArrayList loginList = new ArrayList();
	//是管理员时查询所有部门，否则查询当前用户的部门/选择的部门
	if (BMMC.equals("")){
		 if (!isBarManager_SESSION){
			SzUserHelp szUserHelp = new SzUserHelp(); 
			strManageDepartID = SzConvert.toZeroStr(szUserHelp.getManageDepartID(iDLID_SESSION));			
			if (strManageDepartID.equals("0")){
				departStr.append(" and BMID = "+szLoginInfo.getDLBM());
			} else {
				departStr.append(" and BMID IN( " + strManageDepartID + ")");
				sCond.append(" and XXBMID IN( " + strManageDepartID + ")");
			}
		 }
	 } else {
		 departStr.append(" and BMMC = '"+BMMC+"'");
	 }
	 ArrayList departList = depart.getArrayList(departStr.toString());
	 SzDepartInfo departInfo = null;
	 //如果是管理员，还要显示没有部门的员工
	 if(BMMC.equals("")&&isBarManager_SESSION){
		 departInfo = new SzDepartInfo();
		 departInfo.setBMID(0);
		 departInfo.setBMMC("其他");
		 departList.add(departInfo);
	 }
	 int departSize = departList!=null?departList.size():0;
	String searchStr = docStat.getStat_SQL(BMMC,"", sSearchBegin, sSearchEnd, sCond.toString());

	Map xxMap = docStat.getDepartStatMapByCond("XXBMMC,XXFL,COUNT(1)", searchStr + " GROUP BY XXBMMC,XXFL");
    int width = (typeSize+2)*100;
%>
<!-----上面的工具栏------>
<%@ include file="/share/title.jsp"%>
<table width="100%">
  <form name="formBar" method="post">
  <input type="hidden" name="moduleId" value="<%=moduleId%>">
  <tr>
  	<td valign="bottom" style="padding-bottom: 5px;padding-top: 5px;" align="center">
  		<h4 style="display: inline;">部门发布数量统计</h4>
  	</td>
  </tr>
  <tr>
    <td>
      部门<input type="text" name="BMMC" class="txtClassSearch" value="<%=BMMC%>">
      开始<input type="text" name="txtSearchBegin" class="txtClassSearch" value="<%=sSearchBegin%>">
      <%=SzPageHelp.calendar2Select2("formBar.txtSearchBegin")%>
      结束<input type="text" name="txtSearchEnd" class="txtClassSearch" value="<%=sSearchEnd%>">
      <%=SzPageHelp.calendar2Select2("formBar.txtSearchEnd")%>
      <%=SzPageHelp.button("查询", "javascript:FormSubmit(formBar,'stat_depart.jsp');")%>
    </td>
  </tr>
  </form>
</table>

<!-----信息列表----->
<table width="<%=width<1000? "100%":width %>" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">
  <tr class="trClassTitle_c">
    <td>发布部门</td>
    <td>发布数量</td>
    <%for(int i =0;i<typeSize ;i++){ 
    	typeInfo = (WdyqTypeInfo)typeList.get(i);
    	
    %>
    	<td><%=typeInfo.getFLMC() %></td>
    <%} %>
  </tr>
<%
	Map<Integer,Integer> xxCountOfType = new HashMap<Integer,Integer>();
	StringBuffer outSB = new StringBuffer();
	int count = 0;
	int departCount = 0;
	int sum = 0;
	Object obj = null;
    for (int i=0;i<departSize;i++){
    	departCount = 0;
    	departInfo = (SzDepartInfo)departList.get(i);
    	out.println("<tr title=\""+departInfo.getBMMC()+"\" align=\"center\">");
    	out.println("<td>"+ departInfo.getBMMC() +"&nbsp;</td>");
    	outSB = new StringBuffer();
    	for(int j =0;j<typeSize ;j++){ 
        	typeInfo = (WdyqTypeInfo)typeList.get(j);
        	int flid = typeInfo.getFLID();
        	obj = xxMap.get(departInfo.getBMMC()+ ":" +flid);
        	
        	count = obj != null? Integer.valueOf(obj.toString()):0;
        	outSB.append("<td>"+ count +"&nbsp;</td>");
        	departCount += count;
        	if (xxCountOfType.containsKey(flid)){
        		int value = xxCountOfType.get(flid);
        		xxCountOfType.put(flid,count+value);
        	} else {
        		xxCountOfType.put(flid,count);
        	}
    	}
    	out.println("<td>"+ departCount +"&nbsp;</td>");
		out.println(outSB.toString());
		outSB.append("</tr>");
		sum += departCount;
    }
    out.println("<tr class=\"trClassTitle2\" title=\"合计\" align=\"center\">");
    out.println("<td style=\"color: red;\">合计</td>");
    out.println("<td style=\"color: blue;\">"+ sum +"&nbsp;</td>");
    for(int j =0;j<typeSize ;j++){ 
    	typeInfo = (WdyqTypeInfo)typeList.get(j);
    	obj = xxCountOfType.get(typeInfo.getFLID());
    	int bmCount = obj != null? Integer.valueOf(obj.toString()):0;
    	out.println("<td style=\"color: blue;\">"+ bmCount +"&nbsp;</td>");
    }
    out.println("<tr>");
    
    xxMap = null;
    xxCountOfType = null;
%>

  </form>
</table>

<!-----下面的工具栏------>
<table width="100%">
  <form name="formPage" method="post">
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<%
    ////如果要使用日历控件，必须输出这个calendarFrame
    out.println(SzPageHelp.calendar2Frame2());
%>